"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
const constants_1 = require("../constants");
function up(utils) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const toReplace = constants_1.WEBSERVER.HOSTNAME + ':443';
        const by = constants_1.WEBSERVER.HOST;
        const replacer = column => `replace("${column}", '${toReplace}', '${by}')`;
        {
            const query = `UPDATE video SET url = ${replacer('url')}`;
            yield utils.sequelize.query(query);
        }
        {
            const query = `
      UPDATE actor SET url = ${replacer('url')}, "inboxUrl" = ${replacer('inboxUrl')}, "outboxUrl" = ${replacer('outboxUrl')},
      "sharedInboxUrl" = ${replacer('sharedInboxUrl')}, "followersUrl" = ${replacer('followersUrl')},
      "followingUrl" = ${replacer('followingUrl')}
    `;
            yield utils.sequelize.query(query);
        }
        {
            const query = `UPDATE server SET host = replace(host, ':443', '')`;
            yield utils.sequelize.query(query);
        }
    });
}
exports.up = up;
function down(options) {
    throw new Error('Not implemented.');
}
exports.down = down;
//# sourceMappingURL=0140-actor-url.js.map