/// <reference types="supertest" />
/// <reference types="fluent-ffmpeg" />
import { LiveVideo, LiveVideoCreate, LiveVideoUpdate, VideoCreateResult } from '../../models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class LiveCommand extends AbstractCommand {
    get(options: OverrideCommandOptions & {
        videoId: number | string;
    }): Promise<LiveVideo>;
    update(options: OverrideCommandOptions & {
        videoId: number | string;
        fields: LiveVideoUpdate;
    }): import("supertest").Test;
    create(options: OverrideCommandOptions & {
        fields: LiveVideoCreate;
    }): Promise<VideoCreateResult>;
    sendRTMPStreamInVideo(options: OverrideCommandOptions & {
        videoId: number | string;
        fixtureName?: string;
        copyCodecs?: boolean;
    }): Promise<import("fluent-ffmpeg").FfmpegCommand>;
    runAndTestStreamError(options: OverrideCommandOptions & {
        videoId: number | string;
        shouldHaveError: boolean;
    }): Promise<void>;
    waitUntilPublished(options: OverrideCommandOptions & {
        videoId: number | string;
    }): Promise<void>;
    waitUntilWaiting(options: OverrideCommandOptions & {
        videoId: number | string;
    }): Promise<void>;
    waitUntilEnded(options: OverrideCommandOptions & {
        videoId: number | string;
    }): Promise<void>;
    waitUntilSegmentGeneration(options: OverrideCommandOptions & {
        videoUUID: string;
        resolution: number;
        segment: number;
    }): Promise<void>;
    waitUntilSaved(options: OverrideCommandOptions & {
        videoId: number | string;
    }): Promise<void>;
    countPlaylists(options: OverrideCommandOptions & {
        videoUUID: string;
    }): Promise<number>;
    private waitUntilState;
}
//# sourceMappingURL=live-command.d.ts.map